# hey Emacs, its -*- rpm-spec -*-
# $Id: ruby-gnome2,v 1.11 2003/08/21 12:00:02 ab Exp $

Name: ruby-gnome2
Version: 0.6.0
Release: alt1
Summary: Ruby extension module for GNOME
Source0: %name-all-%version.tar.gz
Patch0: ruby-gnome2-alt.patch
License: GNU LGPL
Group: Development/Ruby
PreReq: ruby-gtk2 = %version-%release
AutoReq: yes, noshell

Packager: Alexander Bokovoy <ab@altlinux.ru>

BuildRequires: ORBit2-devel XFree86-devel XFree86-libs XFree86-locales 
BuildRequires: bonobo-activation-devel esound-devel fontconfig freetype2 
BuildRequires: glib-devel glib2-devel gnome-libs-devel gnome-vfs2-devel 
BuildRequires: gtk+-devel imlib-devel libGConf2-devel libORBit2 libXft 
BuildRequires: libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel 
BuildRequires: libbonoboui-devel libdb1-devel libexpat libglade2-devel 
BuildRequires: libgnome-devel libgnomecanvas-devel libgnomeui-devel 
BuildRequires: libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel 
BuildRequireS: libpng-devel, libssl-devel libxml2-devel libgtkhtml2-devel
BuildRequires: ruby xpm-devel zlib-devel libpopt-devel 
BuildRequires: libruby-devel >= 1.8-alt7, ruby, gstreamer-devel, gstreamer-plugins
BuildRequires: libatk-devel libexpat-devel
BuildRequires: pkgconfig

%description
Ruby extension module for GNOME2

%package -n ruby-libglade2
Summary: Ruby extension module for Glade2
License: GNU LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release

%description -n ruby-libglade2
Ruby extension module for Glade

%package -n ruby-gdkpixbuf2
Summary: Ruby extension module for GDK Pixbuf
License: GNU LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release

%description -n ruby-gdkpixbuf2
Ruby extension library to use GDK Pixbuf

%package -n ruby-gconf2
Summary: Ruby extension module for Gconf2
License: GNU LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release

%description -n ruby-gconf2
Ruby extension library to use Gconf2

%package -n ruby-gtkhtml2
Summary: Ruby extension module for GtkHtml2
License: GNU LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release, ruby-gtk2 = %version-%release

%description -n ruby-gtkhtml2
Ruby extension library to use GtkHtml2

%package -n ruby-gstreamer
Summary: Ruby extension module for Gstreamer
License: GNU LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release

%description -n ruby-gstreamer
Ruby extension library to use Gstreamer

%package -n ruby-gnomecanvas2
Summary: Ruby extension module for Gnome Canvas2
License: GNU LGPL
Group: Development/Ruby
PreReq: ruby-gtk2 = %version-%release

%description -n ruby-gnomecanvas2
Ruby extension library to use Gnome Canvas2

%package -n ruby-gtk2
Summary: Ruby extension module for GTK+2
License: GNU LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release, ruby-pango = %version-%release, 
PreReq: ruby-gdkpixbuf2 = %version-%release

%description -n ruby-gtk2
Ruby/Gtk2 is a Ruby binding of GTK+-2.x.

%package -n ruby-pango
Summary: Ruby extension module for Pango
License: GNU LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release

%description -n ruby-pango
Ruby/Pango is a Ruby binding of Pango

%package -n ruby-glib2
Summary: Ruby extension module for Glib2
License: GNU LGPL
Group: Development/Ruby
PreReq: libruby >= 1.8-alt7, ruby-stdlibs >= 1.8-alt7

%description -n ruby-glib2
Ruby/Glib2 is a Ruby binding of GLib2.

%package -n ruby-libart
Summary: Ruby extension module for libart
License: GNU LGPL
Group: Development/Ruby
PreReq: libruby >= 1.8-alt7, ruby-stdlibs >= 1.8-alt7

%description -n ruby-libart
Ruby/LibArt is a Ruby binding of libart_lgpl

%prep
%setup -q -n %name-all-%version
%patch0 -p1

%build
find . -type d -name 'CVS' | xargs rm -rf
%ruby_configure
%make_build

%install
make DESTDIR=%buildroot site-install

%clean

%files
%ruby_sitearchdir/gnome2.so
%ruby_sitearchdir/gnomevfs.so
%ruby_sitelibdir/gnome2.rb
%ruby_sitelibdir/gnomevfs.rb
%doc gnome/README gnome/ChangeLog gnome/COPYING.LIB gnome/sample

%files -n ruby-gconf2
%ruby_sitearchdir/gconf2.so
%ruby_sitelibdir/gconf2.rb
%doc gconf/README gconf/ChangeLog gconf/COPYING.LIB gconf/tests

%files -n ruby-gtkhtml2
%ruby_sitearchdir/gtkhtml2.so
%doc gtkhtml2/README gtkhtml2/ChangeLog gtkhtml2/COPYING.LIB gtkhtml2/sample

%files -n ruby-gstreamer
%ruby_sitearchdir/gst.so
%ruby_sitelibdir/gst.rb
%doc gstreamer/README gstreamer/ChangeLog gstreamer/COPYING.LIB gstreamer/sample gstreamer/tests

%files -n ruby-gdkpixbuf2
%ruby_sitelibdir/gdk_pixbuf2.rb
%ruby_sitearchdir/gdk_pixbuf2.so
%doc gdkpixbuf/README gdkpixbuf/ChangeLog gdkpixbuf/COPYING.LIB gdkpixbuf/sample

%files -n ruby-libglade2
%ruby_sitelibdir/libglade2.rb
%ruby_sitearchdir/libglade2.so
%doc libglade/README libglade/ChangeLog libglade/COPYING.LIB libglade/sample

%files -n ruby-gnomecanvas2
%ruby_sitearchdir/gnomecanvas2.so
%doc gnomecanvas/README gnomecanvas/ChangeLog gnomecanvas/COPYING.LIB gnomecanvas/sample

%files -n ruby-gtk2
%ruby_sitearchdir/gtk*.so
%ruby_sitelibdir/gtk2.rb

%files -n ruby-pango
%ruby_sitearchdir/pango.so
%ruby_sitelibdir/pango.rb
%doc pango/README pango/ChangeLog pango/sample

%files -n ruby-libart
%ruby_sitearchdir/libart2.so
%doc libart/README libart/ChangeLog libart/sample

%files -n ruby-glib2
%ruby_sitearchdir/glib2.so
%ruby_sitelibdir/mkmf-gnome2.rb
%doc glib/README glib/ChangeLog

%changelog
* Thu Aug 21 2003 Alexander Bokovoy <ab@altlinux.ru> 0.6.0-alt1
- 0.6.0
- Fixed:
   + Wrong dependency in ruby-gdkpixbuf package (ruby-gtk2 instead of ruby-glib2)
- Updated:
   + configuration patch
- Added:
   + ruby-gtkhtml2
   + ruby-gstreamer

* Wed Aug 06 2003 Alexander Bokovoy <ab@altlinux.ru> 0.5.0-alt2
- Fix dependencies for ruby-gtk2

* Tue Aug 05 2003 Alexander Bokovoy <ab@altlinux.ru> 0.5.0-alt1
- 0.5.0
- Build with Ruby 1.8

* Mon Nov 18 2002 Alexander Bokovoy <ab@altlinux.ru> 0.1-alt1
- Initial packaging


